<?xml version="1.0" encoding="gb2312"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"/>
<xsl:template match="/">

<html>
<head>
<title>网易POPO-微博插件</title>
<style>
	BODY,TD,TH{font-size:9pt;FONT-FAMILY:宋体;line-height:21px;}
	a:hover { text-decoration:underline; }
	img {border:0;}
	
	.line_uinfo
	{
		border-bottom-style:solid;border-width:1px;border-color:#C3C1C0;
		line-height:1px;
	}
	.photo
	{
		float:left;
		width:60px; padding:5px;
		text-align:center;
	}
	.uinfo
	{
		margin-left:70px; line-height:20px;
	}
	.clear { clear:both; }
	.nick { white-space:normal; word-wrap:break-word; word-break:break-all; }
	.nick a, .wb_nick a
	{
		font-weight:bold;color:#3473C1;text-decoration:none;
	}
	.fo a
	{
		color:#959595; text-decoration:none;
	}
	.newwb
	{
		margin:5px,0px,5px,0px;
		border-color:#FEEBAC;border-width:1px;border-style:solid; background-color:#FFF8DA;
		text-align:center; line-height:20px; white-space:nowrap;
		color:#BF9054;
	}
	.newwb a
	{
		width:100%; height:100%;
		color:#BF9054; text-decoration:none;
	}
	.newwb a:hover {text-decoration:none;}
	.newwb_count {font-weight:bold;}
	.wb
	{
	}
	.wb_nick { white-space:nowrap;float:left;}
	.wb_bold { font-weight:bold;}
	.wb_time
	{
		white-space:nowrap;
		text-align:right; color:#8DB1DD;
		float:right;
	}
	.wb_content  { white-space:normal; word-wrap:break-word; word-break:break-all; }
	.wb_content a
	{
		color:#3473C1;text-decoration:none;
	}
	.wb_img
	{
    width:expression(this.width>=this.height?120:true);
    height:expression(this.height>this.width?120:true);
	}

	.wb_img_replace
	{
	width:16; height:16;
	}
	
	.from, .original, .fo { color:#959595; }
	.from a
	{
		color:#959595;text-decoration:none;
	}
	.wb_root
	{
		border-color:E9E9E9; border-width:1px;border-style:solid;
		color:#636363; background-color:#F5F5F5;
		padding:5px,5px,5px,5px;
		white-space:normal; word-wrap:break-word; word-break:break-all;
	}
	.wb_root a
	{
		color:#3473C1;text-decoration:none;
	}
	.wb_op { text-align:right;color:#959595; }
	.wb_op a
	{
		color:#3473C1;text-decoration:none;
	}
	.line
	{
		margin:3px,0px,3px,0px;
		line-height:1px;
		border-color:#D6D8DB; border-width:1px; border-top-style:dashed;
	}
</style>

<script type="text/javascript">
	function check_favorite(obj, id)
	{
		if ( obj.innerHTML == '收藏' )
		{
			obj.innerHTML = '取消收藏';
			obj.href='popo://favorite_add/id='+id;
		}
		else
		{
			obj.innerHTML = '收藏';
			obj.href='popo://favorite_del/id='+id;
		}
	}
</script>

</head>
<body>
	<div class="line"></div>
	<!-- 我的评论 -->
	<xsl:for-each select="POPOWB/comment2meinfo">
		<div class="wb" onmouseover='this.style.backgroundColor="#FFFEEC";' onmouseout="this.style.backgroundColor='transparent'">
			<div class="wb_nick">
				<a target="_blank">
					<xsl:attribute name="href">http://t.163.com/<xsl:value-of select="user/@screen_name"/></xsl:attribute>
					<xsl:value-of select="user/@name"/>
				</a>
				<font class="wb_bold"><xsl:text>:</xsl:text></font>
			</div>
			<div class="wb_time">
				<xsl:value-of select="@created_at"/>
			</div>
			<br/>
			<div class="wb_content">
				<xsl:value-of select="@text" disable-output-escaping="yes"/><xsl:text> </xsl:text>
				<font class="from">(来自<xsl:value-of select="@source" disable-output-escaping="yes"/>)</font>
			</div>
			<!-- 原文 -->
			<xsl:if test='@root_in_reply_to_user_id != "NULL"'>
				<div class="wb_root">
					<a target="_blank">
						<xsl:attribute name="href">http://t.163.com/<xsl:value-of select="@root_in_reply_to_screen_name"/></xsl:attribute>
						<xsl:value-of select="@root_in_reply_to_user_name"/>
					</a>
					<font class="wb_bold"><xsl:text>:</xsl:text></font>
					<xsl:value-of select="@root_in_reply_to_status_text" disable-output-escaping="yes"/>
				</div>
			</xsl:if>
			<!-- 操作 -->
			<div class="wb_op">
				<!-- 删除 -->
				<a target="_blank">
					<xsl:attribute name="href">
						popo://delete/id=<xsl:value-of select="@id"/>
					</xsl:attribute>
					<xsl:text>删除</xsl:text>
				</a>
				<xsl:text>|</xsl:text>
				<!-- 回复 -->
				<a target="_blank">
					<xsl:attribute name="href">
						popo://comments/id=<xsl:value-of select="@id"/>
					</xsl:attribute>
					<xsl:text>回复</xsl:text>
				</a>
				<div class="line"></div>
			</div>
		</div>
	</xsl:for-each>
</body>
</html>

</xsl:template>
</xsl:stylesheet>